<?php
// Créer le menu dans l'admin
function compteur_menu_admin() {
    add_menu_page(
        'Compteur téléchargements',
        'Compteur téléchargements',
        'manage_options',
        'compteur-telechargements',
        'compteur_afficher_tableau',
        'dashicons-chart-bar',
        20
    );
}

// Ajouter un formulaire pour entrer les sélecteurs CSS et les stats liens
function compteur_afficher_tableau() {
    global $wpdb;
    $table_name = $wpdb->prefix . 'compteur_liens';
    $liens = $wpdb->get_results("SELECT * FROM $table_name");

    echo '<div class="wrap">';
    echo '<h1>Compteur de téléchargements</h1>';
    
    // Ajouter un formulaire pour entrer les sélecteurs CSS
    echo '<h2>Configuration des sélecteurs</h2>';
    echo '<form method="post" action="options.php">';
    settings_fields('compteur_options_group');  // Lien avec la fonction register_setting
    do_settings_sections('compteur_options_group');

    // Récupérer les sélecteurs comme une chaîne
    $selectors = get_option('compteur_selecteurs_css', '');

    // Utiliser un textarea pour permettre plusieurs sélecteurs
    echo '<table class="form-table">';
    echo '<tr valign="top"><th scope="row">Sélecteurs CSS (séparés par des virgules) :</th>';
    echo '<td><textarea name="compteur_selecteurs_css" rows="5" cols="50">' . esc_textarea($selectors) . '</textarea>
	<p class="description">Saisissez vos sélecteurs séparés par des virgules, par exemple #mon-bouton,.compte-lien,...<br />Utilisation sur un bouton Elementor ou Divi : attribuez un ID au bouton, tel que #download-x ou #download-y puis ajoutez ces sélecteurs dans la zone ci-dessus. Lorsque un visiteur cliquera un de ces boutons, la stat de clic sera affichée dans le tableau ci-dessous. Pour un lien simple dans un texte vous pourrez utilisez une classe que vous ajouterez dans la zone des sélecteurs. N\'oubliez pas # pour un ID et . pour une classe.</p>
	</td>';
    echo '</tr></table>';
    submit_button('Enregistrer les sélecteurs');
    echo '</form>';
    
    // Tableau des clics
    echo '<h2>Tableau des clics</h2>';
    echo '<table class="wp-list-table widefat fixed striped"><thead><tr><th>Texte du lien</th><th>Clics</th><th colspan="2">Actions</th></tr></thead><tbody>';
    
    foreach ($liens as $lien) {
        echo '<tr>';
        echo '<td>' . esc_html($lien->lien) . '</td>';
        echo '<td>' . intval($lien->clics) . '</td>';
        // Bouton "Purger ce compteur"
        echo '<td><button class="button button-secondary purger-compteur" data-lien="' . esc_attr($lien->lien) . '">Purger ce compteur</button></td>';
		echo '<td><button class="button button-danger supprimer-compteur" data-id="' . esc_attr($lien->id) . '">Supprimer ce compteur</button></td>';
        echo '</tr>';
    }
    
    echo '</tbody></table>';
    // Bouton "Purger tous les liens"
    echo '<button class="button button-primary" id="purger-tous-compteurs" style="margin-top:25px">Purger tous les liens</button>';
    echo '</div>';
}
