jQuery(document).ready(function($) {
	
	// Purger un lien spécifique
    $('.purger-compteur').on('click', function(e) {
        e.preventDefault();
        var lien = $(this).data('lien');

        // Confirmation avant la purge
        if (confirm('Voulez-vous vraiment purger le compteur pour ce lien ?')) {
            $.ajax({
                url: ajaxurl, 
                type: 'POST',
                data: {
                    action: 'purger_clic',
                    lien: lien
                },
                success: function(response) {
                    if (response.success) {
                        alert('Compteur purgé pour : ' + lien);
                        location.reload(); // Recharger la page après la purge
                    } else {
                        alert('Erreur : ' + response.data);
                    }
                }
            });
        }
    });

    // Purger tous les liens
    $('#purger-tous-compteurs').on('click', function(e) {
        e.preventDefault();

        // Confirmation avant la purge de tous les liens
        if (confirm('Voulez-vous vraiment purger tous les compteurs ?')) {
            $.ajax({
                url: ajaxurl,
                type: 'POST',
                data: {
                    action: 'purger_tous_les_clics'
                },
                success: function(response) {
                    if (response.success) {
                        alert('Tous les compteurs ont été purgés.');
                        location.reload(); // Recharger la page après la purge
                    } else {
                        alert('Erreur : ' + response.data);
                    }
                }
            });
        }
    });
	
	$('.supprimer-compteur').on('click', function(e) {
        e.preventDefault();

        var id = $(this).data('id');  // Récupérer l'ID du compteur
        var confirmation = confirm('Êtes-vous sûr de vouloir supprimer ce compteur ?');

        if (confirmation) {
            $.ajax({
                url: ajaxurl, // URL AJAX de WordPress
                type: 'POST',
                data: {
                    action: 'supprimer_clic',  // Action à appeler
                    id: id  // ID à supprimer
                },
                success: function(response) {
                    if (response.success) {
                        alert('Compteur supprimé avec succès');
                        location.reload();  // Recharger la page pour mettre à jour la table
                    } else {
                        alert('Erreur : ' + response.data);
                    }
                },
                error: function(error) {
                    alert('Erreur lors de la requête : ' + error);
                }
            });
        }
    });
});
